package cn.com.ctop.common.module.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import java.math.BigDecimal;

public class KuaishouImageCostVOEntity extends BaseRowModel {
    @ExcelProperty(index = 1, value = "图片url")
    String imageUrl;
    @ExcelProperty(index = 2, value = "图片标识")
    String signature;
    @ExcelProperty(index = 3, value = "所属项目")
    String projectName;
    @ExcelProperty(index = 4, value = "消耗")
    BigDecimal cost;
    @ExcelProperty(index = 5, value = "封面点击数")
    Long photoClick;
    @ExcelProperty(index = 6, value = "封面点击率")
    BigDecimal photoClickRate;
    @ExcelProperty(index = 7, value = "封面曝光数")
    Long photoShow;
    @ExcelProperty(index = 8, value = "千次封面曝光花费")
    BigDecimal photoShowCost;
    @ExcelProperty(index = 9, value = "素材曝光数")
    Long aclick;
    @ExcelProperty(index = 10, value = "千次素材曝光花费")
    BigDecimal aclickCost;
    @ExcelProperty(index = 11, value = "行为数")
    Long bcilck;
    @ExcelProperty(index = 12, value = "行为率")
    BigDecimal bclickRate;
    @ExcelProperty(index = 13, value = "激活数")
    Long activation;
    @ExcelProperty(index = 14, value = "注册数")
    Long eventRegister;
    @ExcelProperty(index = 15, value = "付费数")
    Long eventPay;
    @ExcelProperty(index = 16, value = "表单提交数")
    Long formCount;
    @ExcelProperty(index = 17, value = "完件数")
    Long eventJinJianApp;
    @ExcelProperty(index = 18, value = "授信数")
    Long eventCreditGrantApp;
    @ExcelProperty(index = 19, value = "所属平面id")
    String userId;
    @ExcelProperty(index = 20, value = "所属平面")
    String userName;

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public BigDecimal getPhotoClickRate() {
        return photoClickRate;
    }

    public void setPhotoClickRate(BigDecimal photoClickRate) {
        this.photoClickRate = photoClickRate;
    }

    public BigDecimal getPhotoShowCost() {
        return photoShowCost;
    }

    public void setPhotoShowCost(BigDecimal photoShowCost) {
        this.photoShowCost = photoShowCost;
    }

    public Long getAclick() {
        return aclick;
    }

    public void setAclick(Long aclick) {
        this.aclick = aclick;
    }

    public BigDecimal getAclickCost() {
        return aclickCost;
    }

    public void setAclickCost(BigDecimal aclickCost) {
        this.aclickCost = aclickCost;
    }

    public Long getBcilck() {
        return bcilck;
    }

    public void setBcilck(Long bcilck) {
        this.bcilck = bcilck;
    }

    public BigDecimal getBclickRate() {
        return bclickRate;
    }

    public void setBclickRate(BigDecimal bclickRate) {
        this.bclickRate = bclickRate;
    }

    public KuaishouImageCostVOEntity() {
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getPhotoClick() {
        return photoClick;
    }

    public void setPhotoClick(Long photoClick) {
        this.photoClick = photoClick;
    }

    public Long getPhotoShow() {
        return photoShow;
    }

    public void setPhotoShow(Long photoShow) {
        this.photoShow = photoShow;
    }

    public Long getActivation() {
        return activation;
    }

    public void setActivation(Long activation) {
        this.activation = activation;
    }

    public Long getEventRegister() {
        return eventRegister;
    }

    public void setEventRegister(Long eventRegister) {
        this.eventRegister = eventRegister;
    }

    public Long getEventPay() {
        return eventPay;
    }

    public void setEventPay(Long eventPay) {
        this.eventPay = eventPay;
    }

    public Long getFormCount() {
        return formCount;
    }

    public void setFormCount(Long formCount) {
        this.formCount = formCount;
    }

    public Long getEventJinJianApp() {
        return eventJinJianApp;
    }

    public void setEventJinJianApp(Long eventJinJianApp) {
        this.eventJinJianApp = eventJinJianApp;
    }

    public Long getEventCreditGrantApp() {
        return eventCreditGrantApp;
    }

    public void setEventCreditGrantApp(Long eventCreditGrantApp) {
        this.eventCreditGrantApp = eventCreditGrantApp;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
